Class Fox::FXDirSelector

In: | FXDirSelector.rb
Parent: | FXPacker

Directory selection widget

### Message identifiers

`ID_DIRNAME`: | x
`ID_DIRLIST`: | x
`ID_DRIVEBOX`: | x

Methods

new

Attributes

acceptButton | [R] | The "Accept" button [FXButton]
cancelButton | [R] | The "Cancel" button [FXButton]
dirBoxStyle | [RW] | Directory list style [Integer]
directory | [RW] | Directory [String]

Public Class methods

new(p, tgt=nil, sel=0, opts=0, x=0, y=0, w=0, h=0) {|theDirSelector| ...}

Return an initialized FXDirSelector instance